Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Interface IVec2I

All Superinterfaces:
  IParameter, IVec2Op

All Known Implementing Classes:
  IPolyline2D.Intersection, IVec2, IVec2f, IVec2R

    public interface IVec2I

extends IVec2Op

Abstract interface of 2 dimensional vector.

Method Summary
`IVec2I` | `add(double x, double y)`
`IVec2I` | `add(IDoubleI x, IDoubleI y)`
`IVec2I` | `add(IVec2I v)`
`IVec2I` | `add(IVec2I v, double f)`
`IVec2I` | `add(IVec2I v, IDoubleI f)`
`double` | `angle(ISwitchE e, IVec2I v)`
`IDoubleI` | `angle(ISwitchR r, IVec2I v)`
`double` | `angle(IVec2I v)`
`IVec2I` | `bisect(IVec2I v)`
`IVecI` | `cross(IVec2I v)`
`IVec2I` | `diff(IVec2I v)`
`double` | `dist(ISwitchE e, IVec2I v)`
`IDoubleI` | `dist(ISwitchR r, IVec2I v)`
`double` | `dist(IVec2I v)` distance
`double` | `dist2(ISwitchE e, IVec2I v)`
`IDoubleI` | `dist2(ISwitchR r, IVec2I v)`
`double` | `dist2(IVec2I v)` squared distance
`IVec2I` | `div(double v)`
`IVec2I` | `div(IDoubleI v)`
`double` | `dot(ISwitchE e, IVec2I v)`
`IDoubleI` | `dot(ISwitchR r, IVec2I v)`
`double` | `dot(IVec2I v)`
`IVec2I` | `dup()`
`boolean` | `eq(ISwitchE e, IVec2I v)`
`boolean` | `eq(ISwitchE e, IVec2I v, double resolution)`
`IBoolI` | `eq(ISwitchR r, IVec2I v)`
`IBoolI` | `eq(ISwitchR r, IVec2I v, IDoubleI resolution)`
`boolean` | `eq(IVec2I v)` whether location is same or not
`boolean` | `eq(IVec2I v, double resolution)`
`boolean` | `eqX(ISwitchE e, IVec2I v)`
`boolean` | `eqX(ISwitchE e, IVec2I v, double resolution)`
`IBoolI` | `eqX(ISwitchR r, IVec2I v)`
`IBoolI` | `eqX(ISwitchR r, IVec2I v, IDoubleI resolution)`
`boolean` | `eqX(IVec2I v)`
`boolean` | `eqX(IVec2I v, double resolution)`
`boolean` | `eqY(ISwitchE e, IVec2I v)`
`boolean` | `eqY(ISwitchE e, IVec2I v, double resolution)`
`IBoolI` | `eqY(ISwitchR r, IVec2I v)`
`IBoolI` | `eqY(ISwitchR r, IVec2I v, IDoubleI resolution)`
`boolean` | `eqY(IVec2I v)`
`boolean` | `eqY(IVec2I v, double resolution)`
`IVec2` | `get()`
`IDoubleI` | `getX()`
`IDoubleI` | `getY()`
`double` | `len()`
`IVec2I` | `len(double l)`
`IVec2I` | `len(IDoubleI l)`
`double` | `len(ISwitchE e)`
`IDoubleI` | `len(ISwitchR r)`
`double` | `len2()`
`double` | `len2(ISwitchE e)`
`IDoubleI` | `len2(ISwitchR r)`
`IVec2I` | `mid(IVec2I v)`
`IVec2I` | `mirror(IVec2I lineDir)`
`IVec2I` | `mirror(IVec2I center, IVec2I lineDir)`
`IVec2I` | `mul(double v)`
`IVec2I` | `mul(IDoubleI v)`
`IVec2I` | `neg()`
`IVec2I` | `ortho()` rotate 90 deg
`IVec2I` | `ref(IVec2I lineDir)` reflect (mirror) 2 dimensionally to the other side of the line
`IVec2I` | `ref(IVec2I center, IVec2I lineDir)`
`IVec2I` | `rev()`
`IVec2I` | `rot(double angle)`
`IVec2I` | `rot(IDoubleI angle)`
`IVec2I` | `rot(IVec2I destDir)`
`IVec2I` | `rot(IVec2I center, double angle)`
`IVec2I` | `rot(IVec2I center, IDoubleI angle)`
`IVec2I` | `rot(IVec2I center, IVec2I destPt)`
`IVec2I` | `scale(double f)`
`IVec2I` | `scale(IDoubleI f)`
`IVec2I` | `scale(IVec2I center, double f)`
`IVec2I` | `scale(IVec2I center, IDoubleI f)`
`IVec2I` | `set(double x, double y)`
`IVec2I` | `set(IDoubleI x, IDoubleI y)`
`IVec2I` | `set(IVec2I v)`
`IVec2I` | `sub(double x, double y)`
`IVec2I` | `sub(IDoubleI x, IDoubleI y)`
`IVec2I` | `sub(IVec2I v)`
`IVec2I` | `sum(IVec2I... v)`
`IVec2I` | `sum(IVec2I v)`
`IVec2I` | `sum(IVec2I v2, double w2)`
`IVec2I` | `sum(IVec2I v2, double w1, double w2)` weighted sum
`IVec2I` | `sum(IVec2I v2, IDoubleI w2)`
`IVec2I` | `sum(IVec2I v2, IDoubleI w1, IDoubleI w2)`
`IVecI` | `to3d()`
`IVecI` | `to3d(double z)`
`IVecI` | `to3d(IDoubleI w)`
`IVec4I` | `to4d()`
`IVec4I` | `to4d(double z, double w)`
`IVec4I` | `to4d(IDoubleI z, IDoubleI w)`
`IVec2I` | `transform(IVec2I xvec, IVec2I yvec)`
`IVec2I` | `transform(IVec2I xvec, IVec2I yvec, IVec2I translate)`
`IVec2I` | `unit()`
`double` | `x()`
`double` | `y()`

Method Detail

### x

    double x()

### y

    double y()

### get

    IVec2 get()

  Specified by:
    `get` in interface `IParameter`
  Specified by:
    `get` in interface `IVec2Op`

### dup

    IVec2I dup()

### to3d

    IVecI to3d()

### to3d

    IVecI to3d(double z)

### to3d

    IVecI to3d(IDoubleI w)

### to4d

    IVec4I to4d()

### to4d

    IVec4I to4d(double z,
                double w)

### to4d

    IVec4I to4d(IDoubleI z,
                IDoubleI w)

### getX

    IDoubleI getX()

### getY

    IDoubleI getY()

### set

    IVec2I set(IVec2I v)

### set

    IVec2I set(double x,
               double y)

### set

    IVec2I set(IDoubleI x,
               IDoubleI y)

### add

    IVec2I add(double x,
               double y)

### add

    IVec2I add(IDoubleI x,
               IDoubleI y)

### add

    IVec2I add(IVec2I v)

### sub

    IVec2I sub(double x,
               double y)

### sub

    IVec2I sub(IDoubleI x,
               IDoubleI y)

### sub

    IVec2I sub(IVec2I v)

### mul

    IVec2I mul(IDoubleI v)

### mul

    IVec2I mul(double v)

### div

    IVec2I div(IDoubleI v)

### div

    IVec2I div(double v)

### neg

    IVec2I neg()

### rev

    IVec2I rev()

### add

    IVec2I add(IVec2I v,
               double f)

### add

    IVec2I add(IVec2I v,
               IDoubleI f)

### dot

    double dot(IVec2I v)

### dot

    double dot(ISwitchE e,
               IVec2I v)

### dot

    IDoubleI dot(ISwitchR r,
                 IVec2I v)

### cross

    IVecI cross(IVec2I v)

### len

    double len()

### len

    double len(ISwitchE e)

### len

    IDoubleI len(ISwitchR r)

### len2

    double len2()

### len2

    double len2(ISwitchE e)

### len2

    IDoubleI len2(ISwitchR r)

### len

    IVec2I len(IDoubleI l)

### len

    IVec2I len(double l)

### unit

    IVec2I unit()

### ortho

    IVec2I ortho()

  rotate 90 deg

### dist

    double dist(IVec2I v)

  distance

### dist

    double dist(ISwitchE e,
                IVec2I v)

### dist

    IDoubleI dist(ISwitchR r,
                  IVec2I v)

### dist2

    double dist2(IVec2I v)

  squared distance

### dist2

    double dist2(ISwitchE e,
                 IVec2I v)

### dist2

    IDoubleI dist2(ISwitchR r,
                   IVec2I v)

### eq

    boolean eq(IVec2I v)

  whether location is same or not

### eq

    boolean eq(ISwitchE e,
               IVec2I v)

### eq

    IBoolI eq(ISwitchR r,
              IVec2I v)

### eq

    boolean eq(IVec2I v,
               double resolution)

### eq

    boolean eq(ISwitchE e,
               IVec2I v,
               double resolution)

### eq

    IBoolI eq(ISwitchR r,
              IVec2I v,
              IDoubleI resolution)

### eqX

    boolean eqX(IVec2I v)

### eqY

    boolean eqY(IVec2I v)

### eqX

    boolean eqX(ISwitchE e,
                IVec2I v)

### eqY

    boolean eqY(ISwitchE e,
                IVec2I v)

### eqX

    IBoolI eqX(ISwitchR r,
               IVec2I v)

### eqY

    IBoolI eqY(ISwitchR r,
               IVec2I v)

### eqX

    boolean eqX(IVec2I v,
                double resolution)

### eqY

    boolean eqY(IVec2I v,
                double resolution)

### eqX

    boolean eqX(ISwitchE e,
                IVec2I v,
                double resolution)

### eqY

    boolean eqY(ISwitchE e,
                IVec2I v,
                double resolution)

### eqX

    IBoolI eqX(ISwitchR r,
               IVec2I v,
               IDoubleI resolution)

### eqY

    IBoolI eqY(ISwitchR r,
               IVec2I v,
               IDoubleI resolution)

### angle

    double angle(IVec2I v)

### angle

    double angle(ISwitchE e,
                 IVec2I v)

### angle

    IDoubleI angle(ISwitchR r,
                   IVec2I v)

### rot

    IVec2I rot(double angle)

### rot

    IVec2I rot(IDoubleI angle)

### rot

    IVec2I rot(IVec2I center,
               double angle)

### rot

    IVec2I rot(IVec2I center,
               IDoubleI angle)

### rot

    IVec2I rot(IVec2I destDir)

### rot

    IVec2I rot(IVec2I center,
               IVec2I destPt)

### scale

    IVec2I scale(IDoubleI f)

### scale

    IVec2I scale(double f)

### scale

    IVec2I scale(IVec2I center,
                 IDoubleI f)

### scale

    IVec2I scale(IVec2I center,
                 double f)

### ref

    IVec2I ref(IVec2I lineDir)

  reflect (mirror) 2 dimensionally to the other side of the line

### ref

    IVec2I ref(IVec2I center,
               IVec2I lineDir)

### mirror

    IVec2I mirror(IVec2I lineDir)

### mirror

    IVec2I mirror(IVec2I center,
                  IVec2I lineDir)

### transform

    IVec2I transform(IVec2I xvec,
                     IVec2I yvec)

### transform

    IVec2I transform(IVec2I xvec,
                     IVec2I yvec,
                     IVec2I translate)

### diff

    IVec2I diff(IVec2I v)

### mid

    IVec2I mid(IVec2I v)

### sum

    IVec2I sum(IVec2I v)

### sum

    IVec2I sum(IVec2I... v)

### bisect

    IVec2I bisect(IVec2I v)

### sum

    IVec2I sum(IVec2I v2,
               double w1,
               double w2)

  weighted sum

### sum

    IVec2I sum(IVec2I v2,
               double w2)

### sum

    IVec2I sum(IVec2I v2,
               IDoubleI w1,
               IDoubleI w2)

### sum

    IVec2I sum(IVec2I v2,
               IDoubleI w2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD